Page MenuHomePhabricator

[OpenCL] Add extensions cl_intel_subgroups and cl_intel_subgroups_short
ClosedPublic

Authored by AlexeySotkin on Nov 10 2017, 11:28 PM.

Diff Detail

Event Timeline

AlexeySotkin created this revision.Nov 10 2017, 11:28 PM
Anastasia added inline comments.Nov 13 2017, 5:35 AM
lib/Headers/opencl-c.h
16128

Any advantage to use these macros here? They will complicate understanding of errors because preprocessor will remove information about the original BIFs being called in the source code.

Replacing #define macros with explicit declarations

Anastasia accepted this revision.Nov 22 2017, 9:51 AM

LGTM! Thanks!

This revision is now accepted and ready to land.Nov 22 2017, 9:51 AM
bader accepted this revision.Nov 23 2017, 3:22 AM

LGTM. Thanks!

This comment was removed by AlexeySotkin.
AlexeySotkin closed this revision.Nov 27 2017, 1:14 AM